#pragma once
#include <map>
struct Fish_GiantSharkIntegralData
{
	//ID
	int mID;
	//牌型名
	std::string mName;
	//最低牌型积分
	int mMinimumIntegral;
	//最高牌型积分
	int mMaximumIntegral;
	//基础金币
	int mGold;
	//额外奖励物品ID
	int mAdditionalRewards;
	//奖励数量
	int mRewardCard;
	//显示排序
	int mDisplaySort;
	//显示牌型
	std::string mDisplayCardType;
	//新手礼包积分（海豹）
	int mNewGiftWeight;
	//新手权重（海豹）
	int mNewWeight;
	//礼包权重（海豹）
	int mGiftWeight;
	//消耗权重（海豹）
	int mComWeight;
	//普通权重（海豹）
	int mNorWeight;
	//不上榜权重（海豹）
	int mOnListWeight;
	//新手礼包权重（巨蟹）
	int mNewGiftWeight1;
	//新手权重（巨蟹）
	int mNewWeight1;
	//礼包权重（巨蟹）
	int mGiftWeight1;
	//消耗权重（巨蟹）
	int mComWeight1;
	//普通权重（巨蟹）
	int mNorWeight1;
	//不上榜权重（巨蟹）
	int mOnListWeight1;
};

class Fish_GiantSharkIntegral
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkIntegral> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkIntegralData* GetData(int ID);
	const std::map<int, Fish_GiantSharkIntegralData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GiantSharkIntegral* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GiantSharkIntegralData> mMapData;
};
